Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.template.velocity
Class VelocityTemplateFilterTest

    java.lang.Object
      org.apache.torque.generator.template.velocity.VelocityTemplateFilterTest

    public class VelocityTemplateFilterTest

extends Object

Constructor Summary
`VelocityTemplateFilterTest()`

Method Summary
`void` | `setUp()`
`void` | `testCommentAfterWhitespaceLineSpaces()`
`void` | `testCommentWithoutSpaces()`
`void` | `testCommentWithSpaces()`
`void` | `testEmptyInput()`
`void` | `testEmptyLines()`
`void` | `testLineStartingWithWhitespaceComment()`
`void` | `testLineStartingWithWhitespaceNoComment()`
`void` | `testWhitespaceLine()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityTemplateFilterTest

    public VelocityTemplateFilterTest()

Method Detail

### setUp

    public void setUp()

### testEmptyInput

    public void testEmptyInput()
                        throws IOException

  Throws:
    `IOException`

### testEmptyLines

    public void testEmptyLines()
                        throws IOException

  Throws:
    `IOException`

### testCommentWithoutSpaces

    public void testCommentWithoutSpaces()
                                  throws IOException

  Throws:
    `IOException`

### testCommentWithSpaces

    public void testCommentWithSpaces()
                               throws IOException

  Throws:
    `IOException`

### testWhitespaceLine

    public void testWhitespaceLine()
                            throws IOException

  Throws:
    `IOException`

### testLineStartingWithWhitespaceNoComment

    public void testLineStartingWithWhitespaceNoComment()
                                                 throws IOException

  Throws:
    `IOException`

### testLineStartingWithWhitespaceComment

    public void testLineStartingWithWhitespaceComment()
                                               throws IOException

  Throws:
    `IOException`

### testCommentAfterWhitespaceLineSpaces

    public void testCommentAfterWhitespaceLineSpaces()
                                              throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.